---
title: Update Contact Details
description: This API will update contact details of merchant in merchant’s assigned domain..
---

This API will update contact details of merchant in merchant’s assigned domain. We must pass airpay merchant id, username, password, secret key, sub domain, legal name, address, city, state, pin code, contact no and in request. If the request has valid details, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/singlepager/api/update
```

## Parameter

| Field              | Type    | Required | Description                                                                                                                                                          |
| ------------------ | ------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| airpay_merchant_id | Numeric | Yes      | Merchant ID (length 11)                                                                                                                                              |
| airpay_username    | Varchar | Yes      | Merchant Username (length 50)                                                                                                                                        |
| airpay_password    | Varchar | Yes      | Merchant Password (length 50)                                                                                                                                        |
| airpay_secret_key  | Varchar | Yes      | Merchant Secret Key (length 100)                                                                                                                                     |
| subdomain          | Varchar | No       | Domain name of the Merchant (length 100)<br>Example: `abc.nwpay.co.in`                                                                                               |
| legal_name         | Varchar | Yes      | Merchant business legal name (length 100)                                                                                                                            |
| address            | Varchar | No       | Merchant address (length 100)                                                                                                                                        |
| city               | Varchar | No       | Merchant City (length 50)                                                                                                                                            |
| state              | Varchar | No       | Merchant State (length 50)                                                                                                                                           |
| pincode            | Numeric | No       | Merchant Pincode (length 10)                                                                                                                                         |
| contact_no         | Numeric | No       | Merchant Contact Number (length 10)                                                                                                                                  |
| checksum           | Varchar | Yes      | Checksum generation:<br>`hash_hmac('sha256', airpay_merchant_id + airpay_username + legal_name, '91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps')` |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/singlepager/api/update' \
--header 'content-type: application/json' \
--header 'processor-key:91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'airpay_merchant_id=1088' \
--form 'airpay_username=userabc' \
--form 'airpay_password=passabc' \
--form 'airpay_secret_key=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'subdomain=abc.nwpay.co.in' \
--form 'legal_name=' \
--form 'address=' \
--form 'city=' \
--form 'state=' \
--form 'pincode=' \
--form 'contact_no=' \
--form 'checksum=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| Result | Text | Result message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is processing)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction will not register properly)<br>Cancel - 402 (payment that has not yet been processed)<br>Incomplete - 403 (Not recieved any call back from bank)<br>Bounced - 405 (The transaction has bounced)<br>No Records - 503 (There are no records found) |
## Success-Response:

```
HTTP/1.1 200 OK
{
     "Result": "Success"
}
```
## Error-Response:

```
{
    "SinglePager": {
        "Errors": {
            "10": "Airpay Merchant Id Can Not Be Empty",
            "11": "Airpay Merchant Id Can Not Exceed Maximun 11 Characters",
            "12": "Airpay Username Can Not Be Empty",
            "13": "Airpay Username Can Not Exceed Maximun 11 Characters",
            "14": "Airpay Password Can Not Be Empty",
            "15": "Airpay Password Can Not Exceed Maximun 11 Characters",
            "16": "Airpay Secret Key Can Not Be Empty",
            "17": "Airpay Secret Key Can Not Exceed Maximun 11 Characters",
            "00": "Header Aunthentication Failed, Invalid Content-Type",
            "01": "Header Aunthentication Failed, Airpay-Key Can Not Be Empty",
            "02": "Header Aunthentication Failed, Invalid Airpay-Key",
            "03": "Invalid Request",
            "04": "Checksum cannot be empty",
            "05": "Wrong Checksum",
            "06": "Invalid Subdomain",
            "07": "Subdomain Can Not Exceed Maximun 80 Characters",
            "08": "Business legal name cannot be empty",
            "09": "Business legal name is Invalid"
        }
    },
    "Result": "Fail"
}
```